Bug 24902 - pine's filters fail to properly encrypt mail sent to multiple recipients (using gpg)
Summary: pine's filters fail to properly encrypt mail sent to multiple recipients (usi...
Status: CLOSED DUPLICATE of bug 21271
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pine   
(Show other bugs)
Version: 7.0J
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-25 02:18 UTC by Stiphane Doyon
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-25 02:18:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2001:042 high SHIPPED_LIVE : Updated pine packages available 2001-03-31 05:00:00 UTC

Description Stiphane Doyon 2001-01-25 02:18:33 UTC
Interaction between pine and gnupg: pine sending-filters (see /etc/pine.conf) and /usr/bin/pinegpg.
gpg-encrypt and gpg-sign+encrypt -> pinegpg are called by pine as filters with the mail addresses of the recipients on the command-line. gpg is supposed to encrypt the message for these recipients.
But the filter command and pinegpg script do not call gpg correctly: there should be a -r option for each recipient, but only one is given.
Example: mail to addresses addr1@example1.com and addr2@example.com should call gpg -at -e -r addr1@example.com -r addr2@example.com. Currently, the second -r is missing.
So gpg thinks the second and following addresses are filenames. The error message thus produced (something like "no such file or directory") is not easily interpreted in the context by a user who has not read the script...

This basically prevents sending encrypted mail to more than one recipient.

Comment 1 Mike A. Harris 2001-01-28 18:37:43 UTC

*** This bug has been marked as a duplicate of 21271 ***


Note You need to log in before you can comment on or make changes to this bug.